module AvataxHelper

  def error_messages(messages)
    messages.map{|m| m["Summary"] }
  end

  def simple_calculation(tax_lines)
    # given no tax amount overrides
    tax_sum = 0
    tax_lines.each do |line|
      tax_sum += line["Taxable"].to_f * line["Rate"].to_f
    end
    tax_sum.round(2)
  end

  def sum_taxes(tax_lines)
    tax_sum = 0
    tax_lines.each do |line|
      tax_sum += line["Tax"].to_f
    end
    tax_sum.round(2)
  end

end